HANDLE_LEVEL_IRQ(9)

NAME
handle_level_irq - Level type irq handler

SYNOPSIS

void handle_level_irq(unsigned int irq, struct irq_desc * desc);

ARGUMENTS

irq
    the interrupt number

desc
    the interrupt description structure for this irq

DESCRIPTION

Level type interrupts are active as long as the hardware line has the active level. This may require to mask the interrupt and unmask it after the associated handler has acknowledged the device, so the interrupt line is back to inactive.

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT